package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 呼叫频率配置对象 company_voice_config
 * 
 * @author fs
 * @date 2021-11-13
 */
public class CompanyVoiceConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long configId;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long companyId;

    /** 主叫配置 */
    @Excel(name = "主叫配置")
    private String callerJson;

    /** 被叫配置 */
    @Excel(name = "被叫配置")
    private String calleeJson;

    public void setConfigId(Long configId) 
    {
        this.configId = configId;
    }

    public Long getConfigId() 
    {
        return configId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setCallerJson(String callerJson) 
    {
        this.callerJson = callerJson;
    }

    public String getCallerJson() 
    {
        return callerJson;
    }
    public void setCalleeJson(String calleeJson) 
    {
        this.calleeJson = calleeJson;
    }

    public String getCalleeJson() 
    {
        return calleeJson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("configId", getConfigId())
            .append("companyId", getCompanyId())
            .append("callerJson", getCallerJson())
            .append("calleeJson", getCalleeJson())
            .append("createTime", getCreateTime())
            .toString();
    }
}
